> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cedarai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Booking Expected Stops

> Returns expected stops from bookings, including reservations without assigned equipment.



## OpenAPI

````yaml /user-docs/api-reference/equipment_trip_plan.swagger.json post /t/v1/trip-plans/list-booking-expected-stops
openapi: 3.0.1
info:
  title: protobuf/arms/equipment_trip_plan.proto
  version: version not set
servers:
  - description: Production (US)
    url: https://api-lg-k-h1.arms.cedarai.com
  - description: Production (EU)
    url: https://api-lg-k-h1.arms.cedarai.se
security:
  - ApiKeyAuth: []
    AssumeUserAuth: []
tags:
  - name: EquipmentTripPlanService
paths:
  /t/v1/trip-plans/list-booking-expected-stops:
    post:
      tags:
        - EquipmentTripPlanService
      summary: List Booking Expected Stops
      description: >-
        Returns expected stops from bookings, including reservations without
        assigned equipment.
      operationId: ListBookingExpectedStops
      parameters:
        - description: Carrier ID
          in: header
          name: Carrier
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/armsListBookingExpectedStopsRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/armsListBookingExpectedStopsResponse'
          description: A successful response.
        default:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
          description: An unexpected error response.
components:
  schemas:
    armsListBookingExpectedStopsRequest:
      properties:
        arrivedAt:
          $ref: '#/components/schemas/armsTimeRangeInterval'
        attributeFilter:
          $ref: '#/components/schemas/armsExpectedStopAttributeFilter'
        bookingNumber:
          type: string
        carNumbers:
          items:
            $ref: '#/components/schemas/armsCarNumber'
          type: array
        currentStation:
          type: string
        currentTrack:
          type: string
        departedAt:
          $ref: '#/components/schemas/armsTimeRangeInterval'
        destinationStation:
          type: string
        equipmentUuids:
          items:
            type: string
          type: array
        eventTitle:
          type: string
        hasEquipment:
          description: >-
            Equipment-assignment filter. Omit to return both assigned and
            booking-only reservations; true returns assigned bookings; false
            returns booking-only reservations.
          type: boolean
        includeSummary:
          type: boolean
        page:
          $ref: '#/components/schemas/armsPage'
        sortColumns:
          items:
            $ref: '#/components/schemas/armsSortColumn'
          type: array
        stationFilter:
          $ref: '#/components/schemas/armsExpectedStopStationFilter'
        statuses:
          items:
            type: string
          type: array
      type: object
    armsListBookingExpectedStopsResponse:
      properties:
        bookingExpectedStops:
          items:
            $ref: '#/components/schemas/armsBookingExpectedStop'
          type: array
        page:
          $ref: '#/components/schemas/armsPage'
        summary:
          $ref: '#/components/schemas/armsBookingExpectedStopsSummary'
      type: object
    rpcStatus:
      properties:
        code:
          format: int32
          type: integer
        details:
          items:
            $ref: '#/components/schemas/protobufAny'
          type: array
        message:
          type: string
      type: object
    armsTimeRangeInterval:
      properties:
        end:
          $ref: '#/components/schemas/armsTimeBoundary'
        start:
          $ref: '#/components/schemas/armsTimeBoundary'
      type: object
    armsExpectedStopAttributeFilter:
      properties:
        arrivalTrainName:
          type: string
        departureTrainName:
          type: string
        stationGroupingIds:
          items:
            format: int32
            type: integer
          type: array
      type: object
    armsCarNumber:
      properties:
        equipmentInitial:
          type: string
        equipmentNumber:
          format: uint64
          type: string
      type: object
    armsPage:
      properties:
        nextToken:
          type: string
        pageSize:
          format: int64
          type: string
        prevToken:
          type: string
      type: object
    armsSortColumn:
      properties:
        column:
          type: string
        direction:
          $ref: '#/components/schemas/armsSortDirection'
      type: object
    armsExpectedStopStationFilter:
      properties:
        name:
          type: string
        railroad:
          type: string
        splc:
          type: string
        stateOrProvince:
          type: string
      type: object
    armsBookingExpectedStop:
      properties:
        destinationStation:
          $ref: '#/components/schemas/armsExpectedStop'
        equipment:
          $ref: '#/components/schemas/cedaraiarmsEquipment'
        expectedStop:
          $ref: '#/components/schemas/armsExpectedStop'
        tripPlanHandle:
          $ref: '#/components/schemas/armsBookingTripPlanHandle'
      type: object
    armsBookingExpectedStopsSummary:
      properties:
        equipmentCarNames:
          items:
            type: string
          type: array
        equipmentCount:
          format: int64
          type: string
        totalCount:
          format: int64
          type: string
      type: object
    protobufAny:
      additionalProperties:
        type: object
      properties:
        '@type':
          type: string
      type: object
    armsTimeBoundary:
      properties:
        boundary:
          $ref: '#/components/schemas/armsTimeBoundaryBoundary'
        timestamp:
          format: date-time
          type: string
      type: object
    armsSortDirection:
      default: ASCENDING
      enum:
        - ASCENDING
        - DESCENDING
      type: string
    armsExpectedStop:
      properties:
        distance:
          format: double
          type: number
        endTime:
          format: date-time
          type: string
        eventTitle:
          type: string
        eventType:
          $ref: '#/components/schemas/Train10MoveTypeMessageTrain10MoveType'
        location:
          $ref: '#/components/schemas/cedaraiarmsLocation'
        priority:
          format: int32
          type: integer
        startTime:
          format: date-time
          type: string
        totalDistance:
          format: double
          type: number
      type: object
    cedaraiarmsEquipment:
      properties:
        arrivalState:
          $ref: '#/components/schemas/armsArrivalState'
        equipmentId:
          format: int64
          type: integer
        equipmentInitial:
          type: string
        equipmentNumber:
          format: uint64
          type: string
        equipmentUuid:
          type: string
        groupings:
          items:
            $ref: '#/components/schemas/armsGrouping'
          type: array
        loadStatus:
          type: string
        location:
          $ref: '#/components/schemas/armsInventoryLocation'
        parentGroupings:
          items:
            $ref: '#/components/schemas/armsEquipmentParentGrouping'
          type: array
        umler:
          $ref: '#/components/schemas/armsUmler'
        verificationKey:
          type: string
        verificationKeys:
          items:
            $ref: '#/components/schemas/armsVerificationKey'
          type: array
        waybill:
          $ref: '#/components/schemas/armsWaybill'
      type: object
    armsBookingTripPlanHandle:
      properties:
        bookingNumber:
          type: string
        predictedLengthMm:
          format: double
          type: number
        predictedWeightKg:
          format: double
          type: number
        status:
          type: string
        suborderNumber:
          type: string
        tripPlanId:
          type: string
        wagonLetter:
          type: string
      type: object
    armsTimeBoundaryBoundary:
      default: UNSPECIFIED
      enum:
        - UNSPECIFIED
        - INCLUSIVE
        - EXCLUSIVE
      type: string
    Train10MoveTypeMessageTrain10MoveType:
      default: UNSPECIFIED
      enum:
        - UNSPECIFIED
        - ABNO
        - AETA
        - AETI
        - AINV
        - ARIL
        - ARRI
        - BADO
        - BFRM
        - BHVY
        - BLGT
        - BOHR
        - BXNG
        - CGIP
        - CGRD
        - CH80
        - CH81
        - CH82
        - CH83
        - CH84
        - CH85
        - CH86
        - CH89
        - DFLC
        - DRMP
        - EQOR
        - FFBO
        - FTBO
        - HADR
        - HAND
        - HANR
        - HEMB
        - HHAR
        - HIGT
        - HMIS
        - HOGT
        - ICHD
        - ICHR
        - IGTI
        - IGTR
        - LDCH
        - LTFR
        - LTTO
        - MAWY
        - MOTR
        - NOBL
        - NOTP
        - OGTI
        - OGTR
        - OSTH
        - PACT
        - PASL
        - PCON
        - PFLT
        - PFPS
        - PKGD
        - PKGR
        - PLJI
        - PLLF
        - PLLT
        - PUJI
        - RAMP
        - REBL
        - REJS
        - REMB
        - RFLT
        - RLOD
        - RMTY
        - RRFS
        - RTAA
        - RTOI
        - RTPO
        - STEA
        - STEX
        - STPL
        - STSE
        - STSU
        - STUN
        - SWAP
        - ULCH
        - UNSC
        - UNKN
      type: string
    cedaraiarmsLocation:
      properties:
        attributes:
          properties: {}
          type: object
        latLng:
          $ref: '#/components/schemas/armsLatLng'
        locationType:
          $ref: '#/components/schemas/LocationLocationType'
        station:
          $ref: '#/components/schemas/armsStation'
      type: object
    armsArrivalState:
      default: AS_INBOUND
      enum:
        - AS_INBOUND
        - AS_ONLINE
        - AS_OUTBOUND
      type: string
    armsGrouping:
      properties:
        attributes:
          properties: {}
          type: object
        customerLocation:
          $ref: '#/components/schemas/armsCustomerLocation'
        equipmentIndexEnabled:
          type: boolean
        frozen:
          type: boolean
        groupingId:
          format: int64
          type: string
        groupingType:
          type: string
        name:
          type: string
        sortOrder:
          format: int32
          type: integer
        status:
          $ref: '#/components/schemas/GroupingGroupingStatus'
      type: object
    armsInventoryLocation:
      properties:
        index:
          format: int32
          type: integer
        track:
          $ref: '#/components/schemas/armsTrack'
      type: object
    armsEquipmentParentGrouping:
      properties:
        attributes:
          properties: {}
          type: object
        grouping:
          $ref: '#/components/schemas/armsGrouping'
        groupingIndex:
          format: int64
          type: integer
      type: object
    armsUmler:
      properties:
        abt57YrDueDate:
          type: string
        abtDueDate:
          type: string
        articulated:
          type: string
        attributes:
          properties: {}
          type: object
        axleCount:
          format: int32
          type: integer
        bodyMaterial:
          type: string
        boxSideDoorOrientation:
          type: string
        brakeShoeType:
          type: string
        brakeWeightLb:
          format: float
          type: number
        brakeWeightUnit:
          $ref: '#/components/schemas/armsUmlerUnitOfMeasurement'
        carGrade:
          type: string
        couplerStyle:
          type: string
        createdAt:
          format: date-time
          type: string
        cubicFeetCapacity:
          format: float
          type: number
        doorLubeDueDate:
          type: string
        elementEquipmentGroup:
          type: string
        endOfTrainOnly:
          type: string
        equipmentInitial:
          type: string
        equipmentNumber:
          format: uint64
          type: string
        floorStrengthClassification:
          type: string
        gallonageCapacity:
          format: int32
          type: integer
        grossRailWeight:
          format: float
          type: number
        grossRailWeightLb:
          format: float
          type: number
        grossRailWeightUnit:
          $ref: '#/components/schemas/armsUmlerUnitOfMeasurement'
        insideHeight:
          format: int32
          type: integer
        insideHeightFt:
          format: float
          type: number
        insideHeightUnit:
          $ref: '#/components/schemas/armsUmlerUnitOfMeasurement'
        insideLength:
          format: int32
          type: integer
        insideLengthFt:
          format: float
          type: number
        insideLengthUnit:
          $ref: '#/components/schemas/armsUmlerUnitOfMeasurement'
        inspectionDueDate:
          type: string
        lengthFt:
          format: float
          type: number
        lessee:
          type: string
        loadLimit:
          format: float
          type: number
        loadLimitLb:
          format: float
          type: number
        loadLimitUnit:
          $ref: '#/components/schemas/armsUmlerUnitOfMeasurement'
        markOwnerCategory:
          type: string
        mechanicalDesignation:
          type: string
        netWeightLb:
          format: float
          type: number
        netWeightUnit:
          $ref: '#/components/schemas/armsUmlerUnitOfMeasurement'
        operatingBrakes:
          format: int32
          type: integer
        outerExtremeHeight:
          format: float
          type: number
        outerExtremeHeightFt:
          format: float
          type: number
        outerExtremeHeightUnit:
          $ref: '#/components/schemas/armsUmlerUnitOfMeasurement'
        outsideExtremeWidth:
          format: float
          type: number
        outsideExtremeWidthFt:
          format: float
          type: number
        outsideExtremeWidthUnit:
          $ref: '#/components/schemas/armsUmlerUnitOfMeasurement'
        outsideHeightExtremeWidth:
          format: float
          type: number
        outsideHeightExtremeWidthFt:
          format: float
          type: number
        outsideHeightExtremeWidthUnit:
          $ref: '#/components/schemas/armsUmlerUnitOfMeasurement'
        outsideLength:
          format: float
          type: number
        outsideLengthFt:
          format: float
          type: number
        outsideLengthUnit:
          $ref: '#/components/schemas/armsUmlerUnitOfMeasurement'
        owner:
          type: string
        plateCode:
          type: string
        poolNumber:
          type: string
        residualSideBearings:
          type: string
        shoveAdjCarToRest:
          type: string
        shoveCarToRest:
          type: string
        sideDoorHeight:
          format: int32
          type: integer
        sideDoorHeightFt:
          format: float
          type: number
        sideDoorHeightUnit:
          $ref: '#/components/schemas/armsUmlerUnitOfMeasurement'
        sideDoorType:
          type: string
        sideDoorWidth:
          format: int32
          type: integer
        sideDoorWidthFt:
          format: float
          type: number
        sideDoorWidthUnit:
          $ref: '#/components/schemas/armsUmlerUnitOfMeasurement'
        tareWeight:
          format: float
          type: number
        tareWeightLb:
          format: float
          type: number
        tareWeightUnit:
          $ref: '#/components/schemas/armsUmlerUnitOfMeasurement'
        trainPositionSensitive:
          type: string
        umet:
          type: string
        umlerUpdatedAt:
          format: date-time
          type: string
        unitEquipmentGroup:
          type: string
        updatedAt:
          format: date-time
          type: string
      type: object
    armsVerificationKey:
      properties:
        compartment:
          format: int64
          type: integer
        key:
          type: string
      type: object
    armsWaybill:
      properties:
        armsTrackingId:
          type: string
        billOfLadingNumber:
          type: string
        capacityLoadCode:
          $ref: '#/components/schemas/armsCapacityLoadCode'
        crossReferenceEquipment:
          items:
            $ref: '#/components/schemas/armsCrossReferenceEquipment'
          type: array
        defaultReceiver:
          type: string
        destinationJunction:
          $ref: '#/components/schemas/armsWaybillStation'
        destinationStation:
          $ref: '#/components/schemas/armsWaybillStation'
        equipmentDetails:
          items:
            $ref: '#/components/schemas/armsEquipmentDetails'
          type: array
        extendedReferenceInfo:
          items:
            $ref: '#/components/schemas/armsExtendedReferenceInformation'
          type: array
        lineItems:
          items:
            $ref: '#/components/schemas/armsLineItem'
          type: array
        originCarrierCode:
          type: string
        originJunction:
          $ref: '#/components/schemas/armsWaybillStation'
        originStation:
          $ref: '#/components/schemas/armsWaybillStation'
        originSystem:
          $ref: '#/components/schemas/armsWaybillOriginSystem'
        parties:
          items:
            $ref: '#/components/schemas/cedaraiarmsParty'
          type: array
        revisionNumber:
          format: int64
          type: integer
        revisionSourceType:
          $ref: '#/components/schemas/armsWaybillRevisionSourceType'
        revisionTime:
          format: date-time
          type: string
        route:
          items:
            $ref: '#/components/schemas/cedaraiarmsRouteEntry'
          type: array
        shipmentId:
          type: string
        shipmentPaymentMethod:
          $ref: '#/components/schemas/armsShipmentPaymentMethod'
        shipmentQualifier:
          $ref: '#/components/schemas/armsShipmentQualifier'
        specialHandlingCodes:
          items:
            type: string
          type: array
        transportationMethod:
          $ref: '#/components/schemas/armsTransportationMethod'
        waybillDate:
          format: date-time
          type: string
        waybillId:
          format: int64
          type: integer
        waybillNumber:
          format: int64
          type: integer
        waybillStatus:
          $ref: '#/components/schemas/armsWaybillStatus'
        weightUnitCode:
          $ref: '#/components/schemas/armsWeightUnitCode'
      type: object
    armsLatLng:
      properties:
        latitude:
          format: double
          type: number
        longitude:
          format: double
          type: number
      type: object
    LocationLocationType:
      default: UNKNOWN
      enum:
        - UNKNOWN
        - ORIGIN
        - DESTINATION
        - INTERMEDIATE
        - STORAGE
      type: string
    armsStation:
      properties:
        name:
          type: string
        railroad:
          type: string
        splc:
          type: string
        stateOrProvince:
          type: string
      type: object
    armsCustomerLocation:
      properties:
        abbreviatedName:
          type: string
        address:
          $ref: '#/components/schemas/cedaraiarmsAddress'
        addressName:
          type: string
        blockCode:
          type: string
        currencyCode:
          type: string
        customer:
          $ref: '#/components/schemas/armsCustomer'
        customerIdentificationNumbers:
          items:
            type: string
          type: array
        customerLocationId:
          format: int64
          type: string
        customerLocationUuid:
          type: string
        email:
          type: string
        freightBillEdiReceiver:
          type: string
        generalLedgerNumber:
          type: string
        isDefault:
          type: boolean
        isReportingLocation:
          type: boolean
        name:
          type: string
        phoneNumber:
          type: string
        serviceTypeIds:
          items:
            type: string
          type: array
        usedForBilling:
          type: boolean
      type: object
    GroupingGroupingStatus:
      default: ACTIVE
      enum:
        - ACTIVE
        - ARCHIVED
      type: string
    armsTrack:
      properties:
        name:
          type: string
        trackId:
          format: int64
          type: string
      type: object
    armsUmlerUnitOfMeasurement:
      default: UOM_UNSPECIFIED
      enum:
        - UOM_UNSPECIFIED
        - IN
        - LB
        - CM
        - KG
        - FT
        - M
        - G
        - T
        - MT
      type: string
    armsCapacityLoadCode:
      default: CAPACITY_LOAD_CODE_UNSPECIFIED
      enum:
        - CAPACITY_LOAD_CODE_UNSPECIFIED
        - CLC_FULL_CUBIC_CAPACITY
        - CLC_FULL_CAPACITY
        - CLC_GALLONAGE_CAPACITY
        - CLC_MARKED_CAPACITY
        - CLC_FULL_VISIBLE_CAPACITY
      type: string
    armsCrossReferenceEquipment:
      properties:
        checkDigit:
          format: int64
          type: integer
        crossReferenceTypeCode:
          $ref: '#/components/schemas/armsCrossReferenceTypeCode'
        equipmentInitial:
          type: string
        equipmentIsDamaged:
          type: boolean
        equipmentLength:
          type: string
        equipmentNumber:
          format: uint64
          type: string
        equipmentOperatorScac:
          type: string
        equipmentOwnerScac:
          type: string
        referenceId:
          type: string
        referenceIdQualifier:
          type: string
      type: object
    armsWaybillStation:
      properties:
        cityName:
          type: string
        countryCode:
          type: string
        fsac:
          type: string
        postalCode:
          type: string
        splc:
          type: string
        stateOrProvince:
          type: string
      type: object
    armsEquipmentDetails:
      properties:
        aarCarType:
          type: string
        canadianGrainInformation:
          items:
            $ref: '#/components/schemas/armsCanadianGrainInformation'
          type: array
        carrierCode:
          type: string
        chassisInitial:
          type: string
        chassisNumber:
          format: uint64
          type: string
        checkDigit:
          format: int64
          type: integer
        descriptionCode:
          type: string
        dunnage:
          format: int64
          type: integer
        dunnageMeasure:
          $ref: '#/components/schemas/cedaraiIntWeightMeasurement'
        equipmentInitial:
          type: string
        equipmentName:
          type: string
        equipmentNumber:
          format: uint64
          type: string
        equipmentOrdered:
          $ref: '#/components/schemas/armsEquipmentOrdered'
        grossWeightLbs:
          format: int64
          type: integer
        grossWeightMeasure:
          $ref: '#/components/schemas/cedaraiIntWeightMeasurement'
        heightIn:
          format: int64
          type: integer
        heightMeasure:
          $ref: '#/components/schemas/cedaraiIntLengthMeasurement'
        interchangeMoveAuthorities:
          items:
            $ref: '#/components/schemas/armsInterchangeMoveAuthority'
          type: array
        isoContainerCode:
          type: string
        lengthIn:
          format: int64
          type: integer
        lengthMeasure:
          $ref: '#/components/schemas/cedaraiIntLengthMeasurement'
        netWeightLbs:
          format: int64
          type: integer
        netWeightMeasure:
          $ref: '#/components/schemas/cedaraiIntWeightMeasurement'
        ownershipCode:
          type: string
        owningCarrierCode:
          type: string
        position:
          type: string
        sealNumbers:
          items:
            type: string
          type: array
        shipmentInfo:
          items:
            $ref: '#/components/schemas/armsEquipmentShipmentInformation'
          type: array
        tareQualifierCode:
          type: string
        tareWeightLbs:
          format: int64
          type: integer
        tareWeightMeasure:
          $ref: '#/components/schemas/cedaraiIntWeightMeasurement'
        terminals:
          items:
            $ref: '#/components/schemas/armsTerminal'
          type: array
        weightAllowance:
          format: int64
          type: integer
        weightAllowanceMeasure:
          $ref: '#/components/schemas/cedaraiIntWeightMeasurement'
        weightType:
          $ref: '#/components/schemas/armsWeightType'
        widthIn:
          format: int64
          type: integer
        widthMeasure:
          $ref: '#/components/schemas/cedaraiIntLengthMeasurement'
      type: object
    armsExtendedReferenceInformation:
      properties:
        description:
          type: string
        referenceId:
          type: string
        referenceIdQualifier:
          type: string
        referenceTimestamp:
          format: date-time
          type: string
      type: object
    armsLineItem:
      properties:
        descriptions:
          items:
            $ref: '#/components/schemas/armsLineItemDescription'
          type: array
        measurements:
          items:
            $ref: '#/components/schemas/armsMeasurement'
          type: array
        number:
          format: int64
          type: integer
        priceAuthorities:
          items:
            $ref: '#/components/schemas/armsPriceAuthority'
          type: array
        quantity:
          $ref: '#/components/schemas/armsLineItemQuantity'
      type: object
    armsWaybillOriginSystem:
      default: WAYBILL_ORIGIN_SYSTEM_UNSPECIFIED
      enum:
        - WAYBILL_ORIGIN_SYSTEM_UNSPECIFIED
        - ARMS
        - EDI
        - BRAVO
      type: string
    cedaraiarmsParty:
      properties:
        additionalNames:
          items:
            type: string
          type: array
        address:
          items:
            type: string
          type: array
        administrativeContacts:
          items:
            $ref: '#/components/schemas/armsAdministrativeContact'
          type: array
        billingInfo:
          items:
            $ref: '#/components/schemas/armsBillingInformation'
          type: array
        cityName:
          type: string
        countryCode:
          type: string
        countrySubdivisionCode:
          type: string
        entitySubIdentifierCode:
          type: string
        entitySubIdentifierRelationshipCode:
          type: string
        idCode:
          type: string
        idCodeQualifier:
          $ref: '#/components/schemas/armsPartyIdentificationCodeQualifier'
        locationIdentifier:
          type: string
        locationQualifier:
          type: string
        locationUuid:
          type: string
        name:
          type: string
        partyType:
          $ref: '#/components/schemas/armsPartyEntityIdentifierCode'
        postalCode:
          type: string
        referenceInfo:
          items:
            $ref: '#/components/schemas/armsReferenceInfo'
          type: array
        stateOrProvince:
          type: string
      type: object
    armsWaybillRevisionSourceType:
      default: WAYBILL_REVISION_SOURCE_TYPE_UNSPECIFIED
      enum:
        - WAYBILL_REVISION_SOURCE_TYPE_UNSPECIFIED
        - WAYBILL
        - CONSIST
        - BILL_OF_LADING
        - ADVANCE_CAR_DISPOSITION
        - LOAD
        - EMPTY
        - REBILL
        - DERAMP
        - CLM
      type: string
    cedaraiarmsRouteEntry:
      properties:
        additionalSwitchCarrierCodes:
          items:
            type: string
          type: array
        carrierCode:
          type: string
        intermodalServiceCode:
          type: string
        isBreakpoint:
          type: boolean
        junctionCode:
          type: string
        rebillReasonCode:
          type: string
        routingSequenceCode:
          $ref: '#/components/schemas/cedaraiRoutingSequenceCode'
        rule11PartyId:
          type: string
        splc:
          type: string
      type: object
    armsShipmentPaymentMethod:
      default: SHIPMENT_PAYMENT_METHOD_UNSPECIFIED
      enum:
        - SHIPMENT_PAYMENT_METHOD_UNSPECIFIED
        - SPM_RULE_11
        - SPM_COLLECT
        - SPM_MIXED
        - SPM_NO_CHARGE
        - SPM_NON_REVENUE
        - SPM_PREPAID
      type: string
    armsShipmentQualifier:
      default: SHIPMENT_QUALIFIER_UNSPECIFIED
      enum:
        - SHIPMENT_QUALIFIER_UNSPECIFIED
        - MASTER_BILL_EMPTY_NON_REVENUE
        - SPLIT_FIRST_BILL
        - SPLIT_SUBORDINATE_BILL
        - MASTER_BILL_REVENUE_EMPTY
        - SINGLE_BILL_OF_LADING
        - CONSOLIDATED
        - EMPTY_EQUIPMENT
        - STOP_OFF
        - SWITCH_WAYBILL
        - COMPANY_BUSINESS
        - MASTER_BILL_OF_LADING
        - BLIND_MEMO
        - SUBMASTER_BILL_OF_LADING
        - REVENUE_EMPTY
        - EMPTY_SWITCH_WAYBILL
      type: string
    armsTransportationMethod:
      default: TRANSPORTATION_METHOD_UNSPECIFIED
      enum:
        - TRANSPORTATION_METHOD_UNSPECIFIED
        - TM_RAIL
        - TM_INTERMODAL
      type: string
    armsWaybillStatus:
      default: WAYBILL_STATUS_UNSPECIFIED
      enum:
        - WAYBILL_STATUS_UNSPECIFIED
        - PENDING
        - ACTIVE
        - ARCHIVED
      type: string
    armsWeightUnitCode:
      default: WEIGHT_UNIT_CODE_UNSPECIFIED
      enum:
        - WEIGHT_UNIT_CODE_UNSPECIFIED
        - WUC_METRIC_TON
        - WUC_KILOGRAMS
        - WUC_POUNDS
        - WUC_SHORT_TON
        - WUC_LONG_TON
      type: string
    cedaraiarmsAddress:
      properties:
        addressId:
          format: int64
          type: string
        addressType:
          $ref: '#/components/schemas/armsAddressType'
        city:
          type: string
        country:
          type: string
        name:
          type: string
        state:
          type: string
        streetLine1:
          type: string
        streetLine2:
          type: string
        streetLine3:
          type: string
        streetLine4:
          type: string
        zipCode:
          type: string
      type: object
    armsCustomer:
      properties:
        customerId:
          format: int64
          type: string
        customerUuid:
          type: string
        locations:
          items:
            $ref: '#/components/schemas/armsCustomerLocation'
          type: array
        name:
          type: string
      type: object
    armsCrossReferenceTypeCode:
      default: CROSS_REFERENCE_TYPE_CODE_UNSPECIFIED
      enum:
        - CROSS_REFERENCE_TYPE_CODE_UNSPECIFIED
        - CRTC_ADDITIONAL_EQUIPMENT_FOR_MANIFEST_BILLING
        - CRTC_BASKET_ATTACHED_TO_CHASSIS_TO_HOLD_GENERATOR_SET
        - CRTC_PRIOR_LOAD_CREDIT
        - CRTC_REFERENCE_TO_LEAD_EQUIPMENT_FOR_MANIFEST_BILLING
        - CRTC_GENERATOR_SET
        - CRTC_CLIP_ON_FRONT_MOUNTED_GENERATOR_UNIT_FOR_CONTAINER
        - CRTC_LEAD_CAR
        - CRTC_MATED
        - CRTC_TRAILER
        - CRTC_TRANSFER_LOAD
      type: string
    armsCanadianGrainInformation:
      properties:
        canadianWheatBoardMarketingClassCode:
          type: string
        canadianWheatBoardMarketingClassTypeCode:
          type: string
        commodityCode:
          type: string
        directHiToDepartureWharfForVesselLoading:
          type: boolean
        fumigatedCleanedIndicator:
          type: string
        grainBlockNumber:
          type: string
        grainBlockQualifier:
          type: string
        inspectedWeighedIndicatorCode:
          type: string
        machineSeparableIndicatorCode:
          type: string
        numberOfCarsClaimedForIncentiveRate:
          format: int32
          type: integer
        percentQualifier:
          type: string
        percentage:
          format: double
          type: number
        stateOrProvinceCode:
          type: string
        terminalOrStagingAreaName:
          type: string
        unloadDate:
          type: string
        unloadTerminalElevatorCode:
          type: string
        week:
          format: int32
          type: integer
      type: object
    cedaraiIntWeightMeasurement:
      properties:
        unit:
          type: string
        value:
          format: int32
          type: integer
      type: object
    armsEquipmentOrdered:
      properties:
        aarCarType:
          type: string
        cubicCapacity:
          format: int32
          type: integer
        heightInches:
          format: int32
          type: integer
        lengthInches:
          format: int32
          type: integer
        weightCapacity:
          format: int32
          type: integer
      type: object
    cedaraiIntLengthMeasurement:
      properties:
        unit:
          type: string
        value:
          format: int32
          type: integer
      type: object
    armsInterchangeMoveAuthority:
      properties:
        carrierCode:
          type: string
        movementAuthorityCode:
          type: string
        rejectReasonCode:
          type: string
        stateTariffApplicationCode:
          type: string
        terminalTariffApplicationCode:
          type: string
      type: object
    armsEquipmentShipmentInformation:
      properties:
        description:
          type: string
        extendedReferenceInfo:
          items:
            $ref: '#/components/schemas/armsExtendedReferenceInformation'
          type: array
        lineItems:
          items:
            $ref: '#/components/schemas/armsEquipmentLineItem'
          type: array
        referenceId:
          type: string
        referenceIdQualifier:
          type: string
      type: object
    armsTerminal:
      properties:
        locationIdentifier:
          type: string
        locationQualifier:
          type: string
        portName:
          type: string
        terminalFunctionCode:
          type: string
      type: object
    armsWeightType:
      default: WT_ESTIMATED
      enum:
        - WT_ESTIMATED
        - WT_ACTUAL
      type: string
    armsLineItemDescription:
      properties:
        commodityCode:
          type: string
        commodityCodeQualifier:
          $ref: '#/components/schemas/armsCommodityCodeQualifier'
        compartmentIdCode:
          type: string
        hazmatRatingCommodityCode:
          type: string
        hazmatRatingCommodityCodeQualifier:
          type: string
        ladingDescription:
          type: string
        marksAndNumbers:
          type: string
        marksAndNumbersQualifier:
          type: string
        packagingCode:
          type: string
      type: object
    armsMeasurement:
      properties:
        codeListQualifier:
          type: string
        industryCode:
          type: string
        measurementAttributeCode:
          type: string
        measurementMethodOrDevice:
          type: string
        measurementQualifier:
          type: string
        measurementSignificanceCode:
          type: string
        measurementValue:
          format: double
          type: number
        rangeMaximum:
          format: double
          type: number
        rangeMinimum:
          format: double
          type: number
        referenceIdCode:
          type: string
        surfaceLayerPositionCode:
          type: string
        unitCode:
          type: string
      type: object
    armsPriceAuthority:
      properties:
        effectiveDate:
          type: string
        expirationDate:
          type: string
        issuingCarrierIdentifier:
          type: string
        itemNumber:
          type: string
        itemNumberSuffix:
          type: string
        primaryPublicationAuthority:
          type: string
        referenceId:
          type: string
        referenceIdQualifier:
          type: string
        regulatoryAgencyCode:
          type: string
        sectionNumber:
          type: string
        suffix:
          type: string
        supplementIdentifier:
          type: string
        tariffAgencyCode:
          type: string
      type: object
    armsLineItemQuantity:
      properties:
        billedAsQualifier:
          type: string
        billedAsQuantity:
          format: double
          type: number
        dunnageDescription:
          type: string
        ladingQuantity:
          format: int32
          type: integer
        packagingFormCode:
          type: string
        typeOfServiceCode:
          type: string
        volume:
          format: float
          type: number
        volumeUnitQualifier:
          type: string
        weight:
          format: float
          type: number
        weightQualifier:
          $ref: '#/components/schemas/armsWeightQualifier'
        weightUnitCode:
          type: string
      type: object
    armsAdministrativeContact:
      properties:
        communicationNumbers:
          items:
            $ref: '#/components/schemas/armsCommunicationNumber'
          type: array
        contactFunctionCode:
          type: string
        contactInquiryReference:
          type: string
        name:
          type: string
      type: object
    armsBillingInformation:
      properties:
        carrierCodes:
          items:
            type: string
          type: array
        destination:
          $ref: '#/components/schemas/armsWaybillStation'
        origin:
          $ref: '#/components/schemas/armsWaybillStation'
        rebillReasonCode:
          $ref: '#/components/schemas/armsRebillReasonCode'
      type: object
    armsPartyIdentificationCodeQualifier:
      default: PARTY_IDENTIFICATION_CODE_QUALIFIER_UNSPECIFIED
      enum:
        - PARTY_IDENTIFICATION_CODE_QUALIFIER_UNSPECIFIED
        - DUNS
        - DUNS_PLUS_4
        - TELEPHONE_NUMBER
        - ABI_ROUTING_CODE
        - SPLC
        - CBSA_AUTOMOTIVE_ID
        - BROKER_FILER_ID
        - CRA_BUSINESS_NUMBER
        - CIF_NUMBER
        - FEDERAL_TAXPAYER_ID
        - JURISDICTION_CODE
        - ORIGIN_ASSIGNED_CODE
        - MUTUALLY_DEFINED
      type: string
    armsPartyEntityIdentifierCode:
      default: PARTY_ENTITY_IDENTIFIER_CODE_UNSPECIFIED
      enum:
        - PARTY_ENTITY_IDENTIFIER_CODE_UNSPECIFIED
        - PARTY_TO_BE_BILLED
        - ORIGIN_PARTY
        - DESTINATION_PARTY
        - BENEFICIAL_OWNER
        - BILL_TO
        - IN_CARE_OF_1
        - CUSTOMS_BROKER
        - CHASSIS_PROVIDER
        - CONSIGNEE
        - CONVERTER
        - DESTINATION_MAIL_FACILITY
        - FORWARDER
        - IMPORTER
        - MOTOR_CARRIER
        - NOTIFY_PARTY_1
        - NOTIFY_PARTY_2
        - OTHER_DEPARTMENTS
        - ORIGIN_MAIL_FACILITY
        - FREIGHT_BILL_PARTY
        - PICK_UP_PARTY
        - CERTIFICATION_PARTY
        - SHIP_FROM
        - SHIPPER
        - STEAMSHIP_COMPANY
        - SHIP_TO
        - ULTIMATE_CONSIGNEE
        - INLAND_MEXICAN_BROKER
        - CANADIAN_CUSTOMS_BROKER
        - MEXICAN_CUSTOMS_BROKER
        - US_CUSTOMS_BROKER
        - MONITORING_PARTY
        - CUSTOMER
      type: string
    armsReferenceInfo:
      properties:
        description:
          type: string
        referenceId:
          type: string
        referenceIdQualifier:
          type: string
      type: object
    cedaraiRoutingSequenceCode:
      default: ROUTING_SEQUENCE_CODE_UNSPECIFIED
      enum:
        - ROUTING_SEQUENCE_CODE_UNSPECIFIED
        - INTERMEDIATE_CARRIER_1
        - INTERMEDIATE_CARRIER_2
        - INTERMEDIATE_CARRIER_3
        - INTERMEDIATE_CARRIER_4
        - INTERMEDIATE_CARRIER_5
        - INTERMEDIATE_CARRIER_6
        - INTERMEDIATE_CARRIER_7
        - INTERMEDIATE_CARRIER_8
        - INTERMEDIATE_CARRIER_9
        - ORIGIN_CARRIER_AGENT_ROUTING
        - DELIVERY_SWITCH_CARRIER
        - HAULAGE_RIGHTS_CARRIER
        - ORIGIN_SWITCH_CARRIER
        - JUNCTION_SETTLEMENT_CARRIER_FOLLOWING
        - JUNCTION_SETTLEMENT_CARRIER_INTERMEDIATE
        - JUNCTION_SETTLEMENT_CARRIER_PREDECESSOR
        - HAULAGE_MOVEMENT_CARRIER
        - ORIGIN_CARRIER_RULE_11
        - ORIGIN_CARRIER_SHIPPER_ROUTING
        - INTERMEDIATE_SWITCH_CARRIER
      type: string
    armsAddressType:
      default: AT_UNKNOWN
      enum:
        - AT_UNKNOWN
        - AT_CARRIER
        - AT_CUSTOMER
        - AT_PORT
        - AT_CONTRACTUAL_PORT
        - AT_PARTIAL
        - AT_STATION
      type: string
    armsEquipmentLineItem:
      properties:
        cbpBarcodeNumber:
          type: string
        commodityCode:
          type: string
        commodityCodeQualifier:
          type: string
        commodityDescription:
          type: string
        currencyCode:
          type: string
        customsShipmentValue:
          format: int32
          type: integer
        destinationCountryCode:
          type: string
        marksAndNumbers:
          type: string
        originCountryCode:
          type: string
        quantity:
          format: double
          type: number
        smallestExteriorPackageType:
          type: string
        weight:
          format: float
          type: number
        weightUnitCode:
          type: string
      type: object
    armsCommodityCodeQualifier:
      default: CCQ_UNKNOWN
      enum:
        - CCQ_UNKNOWN
        - CCQ_EMPTY_NON_HAZARDOUS
        - CCQ_HARMONIZED_CODE_SYSTEM
        - CCQ_LAST_CONTAINED
        - CCQ_STCC
      type: string
    armsWeightQualifier:
      default: WQ_UNKNOWN
      enum:
        - WQ_UNKNOWN
        - WQ_MAXIMUM_WEIGHT
        - WQ_SHIPPER_WEIGHT
        - WQ_BILLED_WEIGHT
        - WQ_ACTUAL_NET_WEIGHT_FOR_COMBINATION
        - WQ_ESTIMATED_NET_WEIGHT
        - WQ_GROSS_WEIGHT
        - WQ_LIGHT_WEIGHT
        - WQ_CLEAN_OUT
        - WQ_LEGAL_WEIGHT
        - WQ_MINIMUM_WEIGHT
        - WQ_ACTUAL_NET_WEIGHT
        - WQ_EXCESS_WEIGHT
        - WQ_STATE_WEIGHT
      type: string
    armsCommunicationNumber:
      properties:
        number:
          type: string
        qualifier:
          type: string
      type: object
    armsRebillReasonCode:
      default: REBILL_REASON_CODE_UNSPECIFIED
      enum:
        - REBILL_REASON_CODE_UNSPECIFIED
        - RRC_COLLECT
        - RRC_PREPAID
      type: string
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-arms-api-key
      type: apiKey
    AssumeUserAuth:
      in: header
      name: x-arms-assume-user
      type: apiKey

````

## Related topics

- [API Introduction](/user-docs/api-reference/introduction.md)
- [List Truck Load Tenders](/api-reference/truckloadtenderservice/list-truck-load-tenders.md)
- [List Work Orders](/api-reference/workorderservice/list-work-orders.md)
- [List notes](/api-reference/lindaservice/list-notes.md)
- [List class lists](/api-reference/list-class-lists.md)
